<?php

return [
    // 🛡️ Roles
    'rbac' => [
        'modules' => [
            'laravel-vuexy-advanced-security' => [
                'publish_roles'        => true,
                'auto_overwrite_roles' => false,
            ],
            'laravel-vuexy-backups' => [
                'publish_roles'        => true,
                'auto_overwrite_roles' => false,
            ],
            'laravel-vuexy-admin' => [
                'publish_roles'        => true,
                'auto_overwrite_roles' => false,
            ],
            'laravel-vuexy-contacts' => [
                'publish_roles'        => true,
                'auto_overwrite_roles' => false,
            ],
            "laravel-vuexy-development-tools" => [
                'publish_roles'        => true,
                'auto_overwrite_roles' => false,
            ],
            "laravel-vuexy-website-admin" => [
                'publish_roles'        => true,
                'auto_overwrite_roles' => false,
            ],
            "laravel-vuexy-website-layout-porto" => [
                'publish_roles'        => true,
                'auto_overwrite_roles' => false,
            ],
            'laravel-vuexy-warehouse' => [
                'publish_roles'        => true,
                'auto_overwrite_roles' => false,
            ],
        ],
        'publish_path' => database_path('data'), // Base de publicación
    ],

    // 🛠️ Modulos
    /*
    'module_settings' => [
        'laravel-vuexy-contacts'  => 'storage/vuexy/contacts_module.php',
        'laravel-vuexy-warehouse' => 'storage/vuexy/warehouse_module.php',
    ],
    */

    // 🧠 Extensiones
    'extensions' => [
        'menu' => [
            'path' => 'storage/vuexy/menu.php',
        ],
    ],
];
